package com.sjyt.icom.asst.service;

/**
 * <p>stream流地址接口</p>
 *
 * @author renyanru
 * @version V1.0.0
 * @date 2022/6/16 16:51
 */
public interface IStreamUrlService<T,E>{

    /**
     *初始化rtc
     */
    T initialRtcUrl(E e);
    /**
     * 初始化rtmp地址
     */
    T initialRtmpUrl(E e);
    /**
     * 初始化http-flv地址
     */
    T initialHttpFlvUrl(E e);
    /**
     * 初始化https-flv地址
     */
    T initialHttpsFlvUrl(E e);
    /**
     * 初始化https-hls地址
     */
    T initialHttpsHlsUrl(E e);
}
